Jump to content


Photo

Qthbbtv plugin has missing dependency


  • Please log in to reply
49 replies to this topic

#1 Dream1975

  • Senior Member
  • 1,588 posts

+14
Neutral

Posted 5 May 2018 - 11:24

When trying to install the plugin on a HD51 it gives below error in RC 6.2

 

opkg install enigma2-plugin-extensions-qthbbtv
qtbase: unsatisfied recommendation for qtbase-qmlplugins
qtdeclarative: unsatisfied recommendation for qtdeclarative-plugins
qtdeclarative: unsatisfied recommendation for qtdeclarative-qmlplugins
qtlocation: unsatisfied recommendation for qtlocation-plugins
qtlocation: unsatisfied recommendation for qtlocation-qmlplugins
qtwebkit: unsatisfied recommendation for qtwebkit-plugins
Collected errors:
 * calculate_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-qthbbtv:
 *      libqt5sensors5 (>= 5.8.0+git0+1220a31e6c) *     libqt5sensors5 (>= 5.8.0+git0+1220a31e6c) *
 * opkg_solver_install: Cannot install package enigma2-plugin-extensions-qthbbtv.

 

It was also mentioned in https://forums.openp...e-2#entry866267 but as this was a thread for another issue, I think it has been overlooked. So I'd thought to make a seperate notification for it.


Mutant HD2400, OpenPLi RC, 2x DVB-C & 2x DVB-S

Mutant HD51, OpenPLi RC, 1x DVB-C & 1x DVB-S

Wavefrontier T55 (Astra 1,2,3 en HB)

Smartcards Ziggo (Irdeto) and CDS (Seca) on Oscam

 


Re: Qthbbtv plugin has missing dependency #2 MCelliotG

  • Senior Member
  • 295 posts

+24
Neutral

Posted 5 May 2018 - 11:37

Thank you for bringing this up again! It's been some time and qt plugins simply deny to work on 6.2 RC whereas they work perfect on 6.1! This completely breaks hbbtv on openatv for hd51.



Re: Qthbbtv plugin has missing dependency #3 Dimmie

  • Senior Member
  • 1,654 posts

+16
Neutral

Posted 5 May 2018 - 11:43

When I install qtbase from the feed of 6.1 in 6.2rc, the qtstalker works just fine. So it's not like qt plugins simply deny to work on 6.2 RC. You only have to figure out yourself howto install it.

 

This is not an OpenATV forum. For support on OpenATV you should go to the OpenATV forum.



Re: Qthbbtv plugin has missing dependency #4 Dream1975

  • Senior Member
  • 1,588 posts

+14
Neutral

Posted 5 May 2018 - 11:54

But I am using OpenPLi, and when I install the plugin from the feed I also get the message.


Mutant HD2400, OpenPLi RC, 2x DVB-C & 2x DVB-S

Mutant HD51, OpenPLi RC, 1x DVB-C & 1x DVB-S

Wavefrontier T55 (Astra 1,2,3 en HB)

Smartcards Ziggo (Irdeto) and CDS (Seca) on Oscam

 


Re: Qthbbtv plugin has missing dependency #5 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 11:55

We don't provide this, zgemma does. So we can't maintain it (properly). 

 

It might be simply a missing dependency, what happens if you do "opkg install qtsensors" first?


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #6 Dream1975

  • Senior Member
  • 1,588 posts

+14
Neutral

Posted 5 May 2018 - 11:58

I get below message

 

opkg install qtsensors
qtsensors: unsatisfied recommendation for qtsensors-plugins
qtsensors: unsatisfied recommendation for qtsensors-qmlplugins
Installing qtsensors (5.8.0+git0+1220a31e6c) on root.
Downloading http://downloads.ope...-neon-vfpv4.ipk.

 

and then still (also after a reboot)

 

opkg install enigma2-plugin-extensions-qthbbtv
qtbase: unsatisfied recommendation for qtbase-qmlplugins
qtdeclarative: unsatisfied recommendation for qtdeclarative-plugins
qtdeclarative: unsatisfied recommendation for qtdeclarative-qmlplugins
qtlocation: unsatisfied recommendation for qtlocation-plugins
qtlocation: unsatisfied recommendation for qtlocation-qmlplugins
qtwebkit: unsatisfied recommendation for qtwebkit-plugins
Collected errors:
 * calculate_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-qthbbtv:
 *      libqt5sensors5 (>= 5.8.0+git0+1220a31e6c) *     libqt5sensors5 (>= 5.8.0+git0+1220a31e6c) *
 * opkg_solver_install: Cannot install package enigma2-plugin-extensions-qthbbtv.

 

And when I do opkg install qtsensors again it says below (so it is installed)
 

Package qtsensors (5.8.0+git0+1220a31e6c-r0.9) installed in root is up to date.

Edited by Dream1975, 5 May 2018 - 12:02.

Mutant HD2400, OpenPLi RC, 2x DVB-C & 2x DVB-S

Mutant HD51, OpenPLi RC, 1x DVB-C & 1x DVB-S

Wavefrontier T55 (Astra 1,2,3 en HB)

Smartcards Ziggo (Irdeto) and CDS (Seca) on Oscam

 


Re: Qthbbtv plugin has missing dependency #7 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 12:05

Hmm... the qtsensors package is being built, but it is empty, it contains no libs...

 

I'm afraid this is above my paygrade...


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #8 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 12:18

I may have an idea what could cause this, running a test build now. May take a few hours, my build server isn't the fastest. ;)


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #9 Dream1975

  • Senior Member
  • 1,588 posts

+14
Neutral

Posted 5 May 2018 - 12:18

As it seems to work on the 6.1 release could you tell me the download path of the ipk for 6.1 (so I can install this one and then try again)

 

I tried http://downloads.ope...-neon-vfpv4.ipk but that isn't it (probably /openpli-6.1/ is not correct but as all my receivers are running on 6.2 RC there is no easy way of tracking down the right url and I think you can tell me what /openpli-6.1/ should be so I don't have to flash 6.1 to find out).

 

*** Edit: I now see your reply, I'll wait then and test when it is finished. I already did a opkg remove qtsensors so I can just try to install qthbbtv from the feed and let you know if it works with installing it from the feed.


Edited by Dream1975, 5 May 2018 - 12:21.

Mutant HD2400, OpenPLi RC, 2x DVB-C & 2x DVB-S

Mutant HD51, OpenPLi RC, 1x DVB-C & 1x DVB-S

Wavefrontier T55 (Astra 1,2,3 en HB)

Smartcards Ziggo (Irdeto) and CDS (Seca) on Oscam

 


Re: Qthbbtv plugin has missing dependency #10 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 12:40

It's not that simple, 6.1-release doesn't have qtsensors, and that is because it uses an older version of qt5. So I've now downgraded qt5 in 6.2-rc to the level of 6.1-release.


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #11 WTE

  • Senior Member
  • 592 posts

+28
Good

Posted 5 May 2018 - 13:12

My HD51 build just finish and it has all the missing files even libqt5sensors5.

I still use the original branch and not downgrade to version of Openpli 6.1

 

I assume the sync with feed cortexa15hf-neon-vfpv4 went wrong in Openpli 6.2

 

It can happen that a different BSP layer removes QT packages as they do not need it. (Like Dream they split some packages) then maybe the sensor is removed.

It should then add for specified machine which is easy done by add a file called qtsensors_git.bbappend in https://github.com/O.../recipes-qt/qt5 (I see however for this packages no reason why this should been done)

 

With just one line in the file: PACKAGE_ARCH := "${MACHINE_ARCH}"


Edited by WTE, 5 May 2018 - 13:14.

Mut@nt HD51 STB 4K

   :rolleyes:                :rolleyes:


Re: Qthbbtv plugin has missing dependency #12 Erik Slagter

  • PLi® Core member
  • 43,349 posts

+469
Excellent

Posted 5 May 2018 - 13:20

No it's not that. The problem is subtle errors, race conditions, in the building process of qt as is provided by the BSP. When I start a complete build there are three possible outcomes:

 

- all the gfutures machines that use qthbbtv abort building because of errors (dependencies not met)

- all qthbbtv packages are built, but they're empty (like now)

- all qthbbtv packages are built, but they're ok

 

It seems like the developers are making too much assumptions about packages already being built and installed, which seems ok when you're building for one machine on a dual core processor, but if you're building for > 60 machines in 32 threads, this omission will show sooner or later.

 

For the develop environment we're moving to Rocko, which is even stricter than Pyro on this point (where Pyro already was a lot more strict, which we're using now for develop). I am foreseeing all hbbtv packages will break, so work for the manufacturers, to resolved these omissions.


* Wavefrontier T90 with 28E/23E/19E/13E/9E/4.8E/0.8W/5W via SCR switches 2 x 2 x 6 user bands
* Ziggo digital cable TV (FTA)
I don't read PM -> if you have something to ask or to report, do it in the forum so others can benefit. I don't take freelance jobs.
Ik lees geen PM -> als je iets te vragen of te melden hebt, doe het op het forum, zodat anderen er ook wat aan hebben.

Re: Qthbbtv plugin has missing dependency #13 twol

  • Senior Member
  • 165 posts

+6
Neutral

Posted 5 May 2018 - 13:33

I was having similar issues with qtstalker, so I changed the image build so that qtstalker is installed by default (with its dependencies) in the image and so far have not had an issue since...... but then unlike Erik, I am only  building for myself... so can take an aggressive solution.



Re: Qthbbtv plugin has missing dependency #14 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 14:12

No it's not that. The problem is subtle errors, race conditions, in the building process of qt as is provided by the BSP.

 

If that is the case, then I can stop my build. ;) But I want to see what happens if I revert meta-qt5 back to 6.1-release level, which it should have stayed I think.

 

It still doesn't explain the missing dependency though, if qtsensors is required, then it should be installed with qtwebkit.


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #15 WTE

  • Senior Member
  • 592 posts

+28
Good

Posted 5 May 2018 - 14:12

You probably mean no root files inside the packages?

This doesn't mean it's empty as it can have depends or recommends.

 

It's very strange as openpli build machine builds only qtsensors_5.8.0+git0+1220a31e6c-r0.9_cortexa15hf-neon-vfpv4.ipk
My build doesn't even make this file I get the follow files when build for HD51:

libqt5sensors5_5.8.0+git0+1220a31e6c-r0_cortexa15hf-neon-vfpv4.ipk

libqt5sensors-dbg_5.8.0+git0+1220a31e6c-r0_cortexa15hf-neon-vfpv4.ipk

libqt5sensors-dev_5.8.0+git0+1220a31e6c-r0_cortexa15hf-neon-vfpv4.ipk

libqt5sensors-mkspecs_5.8.0+git0+1220a31e6c-r0_cortexa15hf-neon-vfpv4.ipk

libqt5sensors-plugins_5.8.0+git0+1220a31e6c-r0_cortexa15hf-neon-vfpv4.ipk

libqt5sensors-qmlplugins_5.8.0+git0+1220a31e6c-r0_cortexa15hf-neon-vfpv4.ipk

 

I see in Openpli actually zero libqt5 packages build. So I assume you have from another BSP layer something which force not to build the QT libs.

Does Openpli build QT for Dreambox or any other box then HD51, H7, H9 and e4hd?
I am pretty sure a clean build from only HD51 you will get the qt5 libraries in map cortexa15hf_neon_vfvp4.


Mut@nt HD51 STB 4K

   :rolleyes:                :rolleyes:


Re: Qthbbtv plugin has missing dependency #16 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 14:25

What branch are you building? And at what commit hash is the meta-qt5 submodule pinned?

 

Does Openpli build QT for Dreambox or any other box then HD51, H7, H9 and e4hd?

 

No, it's only build for the cortexa16 boxes, so these plus the VS1500, the GBQUAD4K and the GBUE4K. I assume these are the only ones that have qthbbtv in OPENPLI_FEATURES in their BSP.


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #17 WTE

  • Senior Member
  • 592 posts

+28
Good

Posted 5 May 2018 - 14:36

I have build RC and develop branch

QT: c6aa602d0640040b470ee81de39726276ddc0ea3

 

Different is that I just build the qt plugins direct into the image, so I do not start feed build. Maybe with bitbake version his can have some side effects.


Mut@nt HD51 STB 4K

   :rolleyes:                :rolleyes:


Re: Qthbbtv plugin has missing dependency #18 WanWizard

  • Forum Moderator
    PLi® Core member
  • 41,562 posts

+662
Excellent

Posted 5 May 2018 - 14:43

That may explain why you don't have this race condition. OE is littered with it, and as Erik mentioned, they only come to light on massive parallel builds. 

 

Common issue for example is recipes assume the rootfs is always present, which is not the case as it is by default cleaned after building, so if you run a build that does a feed update but doesn't require the image to be rebuild, there is no rootfs source available during that build run...


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: Qthbbtv plugin has missing dependency #19 Dream1975

  • Senior Member
  • 1,588 posts

+14
Neutral

Posted 5 May 2018 - 20:09

Just tested the testbuild wanwizzard provided me, and it has solved the problem.

Mutant HD2400, OpenPLi RC, 2x DVB-C & 2x DVB-S

Mutant HD51, OpenPLi RC, 1x DVB-C & 1x DVB-S

Wavefrontier T55 (Astra 1,2,3 en HB)

Smartcards Ziggo (Irdeto) and CDS (Seca) on Oscam

 


Re: Qthbbtv plugin has missing dependency #20 MCelliotG

  • Senior Member
  • 295 posts

+24
Neutral

Posted 5 May 2018 - 20:32

I'd like this build too to try if it's not any problem!

Στάλθηκε από το LG-D855 μου χρησιμοποιώντας Tapatalk




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users